//  main: main.less, out: ../style.css


/* 
====================================================================================================================================
HOME
======================================================================================================================================
*/

// SHOWREEL
.c-slideshow {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 100vh;
    width: 100%;
    z-index: 0;
    .animation__fadein(1s, 1s,);

    &:after {
        position: absolute;
        content: '';
        display: block;
        left: 0;
        right: 0;
        bottom: 0;
        height: 80px;
        .u-linear-gradient(0deg, fade(@color-primary, 100%), fade(@color-primary, 0%));
        z-index: 199;
    }
}

.owl-dots {
    margin: @size__l 0!important;
    .owl-dot  {
        outline: none;
        span {
            background-color: fade(@color-white, 20%)!important;
        }
        &.active {
            span {
                background-color: @color-white!important;
            } 
        }
    }
}

.c-slideshow__slide {
    height: 100vh;
    width: 100%;
}

.c-slideshow__image {
    .u-cover-image;
}

.c-slideshow__content {
    position: absolute;
    color: @color-white;
    top: 50%;
    left: @margin__l;
    width: 25vw;
    z-index: 1;
    .u-transform(translateY(-50%));
    .c-slideshow_logo {
        height: 50px;
        margin-bottom: @margin__s/2;
    }
    h2,
    h3 {
        margin: 0;
        line-height: 1.4em;
    }

    h3 {
        font-family: @font_base;
        font-weight: 300;
    }

    @media @media_landascape, @media_tablet {
        top: @header__h + @margin__m;
        .u-transform(translateY(0));

    }
    @media @media_smartphone, @media_tablet {
        width: 100%;
        padding: 0 @margin__s;
        left: 0;
        font-size: @size__xl;
    }
}

// COURSES
.c-homecourses {
    .u-flex-display;
    .u-justify-content(flex-end);

    .inner {
        width: @home_content__w;
        .u-flex-display;
        .u-flex-wrap(wrap);
    }

    .c-homecourses__title {
        height: @home_content__w/4;
        width: @home_content__w/2;
        color: @color-white;
        z-index: 1;
        .u-flex-display;
        .u-align-items(center);
    }

    .c-homecourses__item {
        height: @home_content__w/2;
        width: @home_content__w/2;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        padding: @margin__l/2;
        .u-flex-display;
        .u-justify-content(space-between);
        .u-align-items(flex-end);

        h4 {
            margin: 0;
            color: @color-white;
        }

        &:nth-child(odd) {
            margin-top: -200px;
        }
    }

    @media @media_smartphone, @media_tablet {
        .c-homecourses__title {
            width: 100%;
            .u-justify-content(center);
        }
        .c-homecourses__item {
            width: 100%;
            margin-top: 0!important;
        }
    }
}

// MARKETING ROW
.c-marketingrow {
    position: relative;
    margin: @margin__s 0;
    z-index: 1;
    .u-flex-display;
    .u-justify-content(flex-end);

    .inner {
        width: @home_content__w;
        height: 200px;
        background-position: center;
        background-repeat: no-repeat;
        background-size: cover;
        background-attachment: fixed;
        color: @color-white;
        text-align: center;
        .u-flex-display;
        .u-align-items(center);
        .u-flex-direction(column);
        .u-justify-content(center);
        .title {
            margin: 0 0 @margin__s 0;
        }
    }
}
